<?xml version="1.0" encoding="UTF-8"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->

<screens xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="http://ofbiz.apache.org/dtds/widget-screen.xsd">

    <!-- Column Included Screens -->
    <screen name="microcart">
        <section>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/cart/microcart.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>
    <screen name="minicart">
        <section>
          <actions>
              <set field="hidetoplinks" value="Y"/>
              <set field="hidebottomlinks" value="N"/>
          </actions>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/added/minicart.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>
    <screen name="minipromotext">
        <section>
            <actions>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/cart/ShowPromoText.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/cart/minipromotext.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="promoUseDetailsInline">
        <section>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/added/promoUseDetailsInline.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <!-- =========== Top-Level and Stand-Alone Screens =========== -->

    <screen name="showcart">
        <section>
            <actions>
                <set field="leftbarScreenName" value="leftbar"/>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="center"/>
                <!--set field="MainColumnStyle" value="leftonly"/-->

                <set field="titleProperty" value="PageTitleShoppingCart"/>
                <set field="headerItem" value="Shopping Cart"/>
                <property-to-field resource="order" property="orderPreference.giftEnable" field="giftEnable" default="Y"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/cart/ShowCart.groovy"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/cart/ShowPromoText.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/cart/showcart.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>
    <screen name="showAllPromotions">
        <section>
            <actions>
                <set field="leftbarScreenName" value="leftbar"/>
                <set field="MainColumnStyle" value="leftonly"/>

                <set field="promoUseDetailsInlineScreen" value="component://ecommerceBarez/widget/CartScreens.xml#promoUseDetailsInline"/>

                <set field="titleProperty" value="PageTitleShowAllPromotions"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/cart/ShowCart.groovy"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/cart/ShowPromoText.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/added/showAllPromotions.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>
    <screen name="showPromotionDetails">
        <section>
            <actions>
                <set field="leftbarScreenName" value="leftbar"/>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="center"/>
                <set field="productsummaryScreen" value="component://ecommerceBarez/widget/CatalogScreens.xml#productsummary"/>
                <set field="titleProperty" value="PageTitleShowPromotionDetails"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/cart/ShowPromotionDetails.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <include-screen name="promotionBarez" location="component://ecommerceBarez/widget/CartScreens.xml"/>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>
	<screen name="promotionBarez">
        <section>
            <condition>
                <not><if-empty field="productPromo"/></not>
            </condition>
            <widgets>
              <container style="span65">
                <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/added/promotiondetails.ftl"/></html></platform-specific>
                <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/added/promotioncategories.ftl"/></html></platform-specific>
                <platform-specific><html><html-template location="component://ecommerceBarez/webapp/ecommerce/added/promotionproducts.ftl"/></html></platform-specific>
                </container>
            </widgets>
            <fail-widgets>
              <container style="span65">
                <label text="${uiLabelMap.OrderErrorNoPromotionFoundWithID} [${productPromoId?if_exists}]" style="h2"/>
              </container>
            </fail-widgets>
        </section>
    </screen>
    <screen name="UpdateCart">
        <section>
            <actions>
                <property-map resource="CommonUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="OrderUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ContentUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="EcommerceUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ProductUiLabels" map-name="uiLabelMap" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/cart/ShowCart.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/cart/UpdateCart.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>
</screens>
